curl --request GET \
--url https://api.bspk.com/api/extraction/v1/reminders \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.bspk.com/api/extraction/v1/reminders"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.bspk.com/api/extraction/v1/reminders', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
[
{
"store_id": "Store-external_id-61",
"store_name": "Store-70",
"sales_associate_id": "SA_01",
"sales_associate_name": "FirstName-106 LastName-106",
"client_id": "CL_01",
"client_name": "FirstName-107 LastName-107",
"title": "Some title",
"body": "Some notes\n here.",
"starts_at": "2024-08-08T00:00:00.000Z",
"ends_at": null,
"is_done": false,
"is_done_at": null,
"notes": "Some notes\n here.",
"created_at": "2024-08-07T12:29:27.187Z",
"updated_at": "2024-08-07T12:29:27.187Z"
}
]List Reminders
List reminders
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Query Parameters
Client id owned by the brand
Sales Associate id owned by the brand
Only show reminders created after the given time. This is a timestamp in ISO 8601 format: YYYY-MM-DDTHH:MM:SSZ.
Combined with the from parameter, only show reminders created within the given range (from..to) time. This is a timestamp in ISO 8601 format: YYYY-MM-DDTHH:MM:SSZ.
Page number of the results to fetch. Default: 1
Results per page (max 1000). Default: 100
Response
Successful response, returns array of reminders
Unique identifier of the store where the reminder was created (based on associate assignment)
Store name of where the reminder was created (based on associate assignment)
Unique identifier of the associate that created the reminder
Full name of the associate who created the reminder
Unique identifier of the client that the reminder is with
Full name of the client that the reminder is with
Short description of the reminder added by the associate
Details added to the reminder by the associate
Timestamp of when the reminder was created
Timestamp of when the reminder was last updated
Timestamp of when the reminder was scheduled to start
Timestamp of when the reminder was scheduled to end
Whether or not the reminder was marked as done by the associate. If the reminder is marked as done this will be true, otherwise defaults to false
Timestamp of when the reminder was marked as done by the associate
